View Issue Details

IDProjectCategoryView StatusLast Update
0001766Far ManagerViewerpublic2011-10-11 14:20
Reporter2useven10Assigned To2useven10 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001766: Новая версия вьювера
DescriptionПредлагаю потестить новую версию вьювера (far3 и far2 1807).
Все изменения о которых я помню перечислены тут: http://sharapov-16.narod.ru/far/index.html
Собранные версии фар и измененные файлы там тоже есть.
Здесь патч пока не выкдадываю, хотелось бы получить feedback...
TagsNo tags attached.
Build2217

Activities

2useven10

2011-05-12 22:58

developer   bugnote:0006882

Last edited: 2011-05-12 22:59

View 2 revisions

Изменено (по памяти):
1. добавлен поиск регулярных выражений (построчный в обе стороны)
2. добавлено авто-определение кодовой страницы на Shift-F8
3. в авто-детекте можно задать запрещенные codepage-s (параметр)
4. авто-фокус на строке поиска в диалоге (по параметру)
5. повторный поиск всегда зациклен до места начала поиска или смены направления
6. добавлена возможность изменения максимальной длины строки (параметр)

max rusov

2011-05-12 23:34

reporter   bugnote:0006883

Вот бы еще курсор поддержать - цены бы не было...

2useven10

2011-05-13 00:18

developer   bugnote:0006884

А подробнее...
Для чего курсор? Только для показа текущей позиции?
Или что-то ещё (например выделение текста) ?
Поведение курсора в HexView...
Как он должен включаться/выключаться...

Ну или просто хороший пример вьювера с курсором.

max rusov

2011-05-13 01:29

reporter   bugnote:0006886

Ну, естественно, чтобы выделять и брать в clipboard. Все как в редакторе, но без возможности править. В Hex-View тоже курсор+выделение не помешает. Есть плагин Hex Editor но он не поддерживает блочные операции.

2useven10

2011-05-13 15:45

developer   bugnote:0006887

Last edited: 2011-05-13 15:46

View 2 revisions

Можно сделать... но не сейчас - через пару недель (если будет свободное время).

2useven10

2011-05-18 10:53

developer  

viewer-diff-8.7z (23,639 bytes)

2useven10

2011-05-18 10:55

developer   bugnote:0006890

выложил патч (изменения из #1755 здесь тоже есть)

vskirdin

2011-05-18 17:51

administrator   bugnote:0006893

Уф... вроде Инц про вьювер, а в патче замес по полной...
Надо бы разделить...

vskirdin

2011-05-18 19:07

administrator   bugnote:0006894

Так, лажа.
Куда делась супер-пупер фича (когда стоим в конце файла и, если его другой процесс "наполняет", то происходит автоскроллинг) из вьювера?

2useven10

2011-05-18 19:22

developer   bugnote:0006895

Last edited: 2011-05-18 19:31

View 3 revisions

ну вот и фидбэк ( надеюсь будет ещё :)
лажу посмотрю-поправлю. а насчет разделить - кроме NoAutoDetectCP (filestr.cpp)
все остальное связано с изменениями вьювера... можно только поделить на части.
Но тогда процесс затянется надолго (сужу по #1755).
К тому же, все что кроме - изменения в несколько строк.

vskirdin

2011-05-18 23:52

administrator   bugnote:0006896

> лажу посмотрю-поправлю.
Ок.

> Но тогда процесс затянется надолго (сужу по #1755).
необязательно.
иногда можно и напоминалку "сделать" :-)

2useven10

2011-05-19 00:27

developer   bugnote:0006897

Last edited: 2011-05-23 17:29

View 3 revisions

я бы взял сразу... но можно и частями. начнём:

http://bugs.farmanager.com/view.php?id=1755 [x]
http://bugs.farmanager.com/view.php?id=1772 [x]
http://bugs.farmanager.com/view.php?id=1773 [x]
http://bugs.farmanager.com/view.php?id=1774 [x]

автоскролл в своей версии я поправил, но ошибка есть и в транке.
если критично - могу сделать отдельный патч (хотя если честно - не хотелось бы)

vskirdin

2011-05-25 15:24

administrator   bugnote:0007033

так, вроде "предварительные ласки" закончились... че дальше?

2useven10

2011-05-25 16:43

developer   bugnote:0007038

Last edited: 2011-05-25 16:58

View 2 revisions

чуть доделаю поиск с регулярками - пока просто не знаю что делать с соответствием
^$ и найденным текстом нулевой длинны - пока нет курсора, как это показывать, а в hex...
думаю сегодня завтра выложу новый новый вьювер :)

2useven10

2011-05-26 14:10

developer  

NewViewer.diff (93,452 bytes)
NewViewer.diff (93,452 bytes)

2useven10

2011-05-26 14:10

developer   bugnote:0007063

новая версия выложена

vskirdin

2011-05-26 14:59

administrator   bugnote:0007065

тестим - http://skirda-file.googlecode.com/files/Viewer-new.1.7z

2useven10

2011-05-26 17:04

developer  

NewViewer2.diff (93,375 bytes)
NewViewer2.diff (93,375 bytes)

2useven10

2011-05-26 17:05

developer   bugnote:0007067

Last edited: 2011-05-26 17:13

View 2 revisions

+2 небольших испоавления
ooops... одно лишнее

2useven10

2011-05-26 17:13

developer  

NewViewer3.diff (93,452 bytes)
NewViewer3.diff (93,452 bytes)

vskirdin

2011-05-26 17:18

administrator   bugnote:0007069

а че за исправления?
+ куда то пропала строка
#include "RegExp.hpp"

vskirdin

2011-05-26 17:21

administrator   bugnote:0007070

http://skirda-file.googlecode.com/files/Viewer-new.3.7z

vskirdin

2011-05-26 17:24

administrator   bugnote:0007072

Так, если все устраивает тестовый вариант, то перед коммитом хотелось бы увидеть строки для changelog - что значит "новый вьювер" :-)

2useven10

2011-05-26 17:43

developer   bugnote:0007074

скобка была не на месте.

новый...
Внутренности:
полностью переделан поиск
добавлен механизм кеширования переводов строк
юникодные файлы теперь как все прочие (нет размеру в символах!)
переделан HexView
переработан диалог поиска

Функции:
добавлен поиск регулярных выражений (построчный в обе стороны)
повторный поиск всегда зациклен до места начала поиска или смены направления
добавлена возможность изменения максимальной длины строки (параметр)

ну и порядка 30% кода переписано...

vskirdin

2011-05-26 18:11

administrator   bugnote:0007075

> добавлена возможность изменения максимальной длины строки (параметр)
Это где?
Опция доступна простым смертным? (из интерфейса, или она столь специфичная, что для большинства случаев хватит 2048?)
Если нет, то в FARConfig нужно нули выставить для "MaxLineSize" и "SearchEditFocus":

{0, GeneralConfig::TYPE_INTEGER, NKeyViewer,L"MaxLineSize",&Opt.ViOpt.MaxLineSize,2048, 0},
{0, GeneralConfig::TYPE_INTEGER, NKeyViewer,L"SearchEditFocus",&Opt.ViOpt.SearchEditFocus,0, 0},

2useven10

2011-05-26 18:29

developer   bugnote:0007076

в интерфейсе нет. 2048 - текущее значение. при нуле тоже будет 2048. в конфиг добавлен код:
    if (!Opt.ViOpt.MaxLineSize)
        Opt.ViOpt.MaxLineSize = 2048;
    else if (Opt.ViOpt.MaxLineSize < 80)
        Opt.ViOpt.MaxLineSize = 80;
    else if (Opt.ViOpt.MaxLineSize > 16*1024)
        Opt.ViOpt.MaxLineSize = 16*1024;

vskirdin

2011-05-26 18:50

administrator   bugnote:0007077

build 2054

DrKnS

2011-05-27 09:46

administrator   bugnote:0007083

> 2048 - текущее значение

А почему бы не сделать дефолтное значение побольше, например раз в 10?

2useven10

2011-05-27 10:36

developer   bugnote:0007086

пока ограничено 16k (16k*2 - это половина размера кэша CacheRead, можно увеличить и то и другое). если длинные строки нужны всем - не проблема, я просто по дефолту оставлял текущее поведение.

2useven10

2011-06-01 14:25

developer  

ViewerLongLineFix.diff (7,088 bytes)
ViewerLongLineFix.diff (7,088 bytes)

2useven10

2011-06-01 14:27

developer   bugnote:0007116

fix для длинных строк (поправлены ошибки + MaxLineSize: Min=100, Def=10000, Max=100000)

vskirdin

2011-06-03 09:16

administrator   bugnote:0007121

build 2061

2useven10

2011-06-28 17:47

developer  

NewViewer-fix2.diff (831 bytes)
NewViewer-fix2.diff (831 bytes)

2useven10

2011-06-28 17:50

developer   bugnote:0007219

2 небольшие правки:
1) сброс кэша переводов строк при переключении файлов по +/-
2) удаление остатков 'символьного' размера юникодных файлов

DrKnS

2011-06-28 23:11

administrator   bugnote:0007220

2083

2useven10

2011-08-11 23:34

developer  

ViewerAutoscrollAgain.diff (612 bytes)
Index: viewer.cpp
===================================================================
--- viewer.cpp	(revision 6548)
+++ viewer.cpp	(working copy)
@@ -1266,6 +1266,8 @@
 				if (!apiGetFindDataEx(strFullFileName, NewViewFindData))
 					return TRUE;
 
+				ViewFile.GetSize(NewViewFindData.nFileSize); // Required! -- thanks Dzirt2005
+
 				if (ViewFindData.ftLastWriteTime.dwLowDateTime!=NewViewFindData.ftLastWriteTime.dwLowDateTime
 				 || ViewFindData.ftLastWriteTime.dwHighDateTime!=NewViewFindData.ftLastWriteTime.dwHighDateTime
 				 || ViewFindData.nFileSize != NewViewFindData.nFileSize)

2useven10

2011-08-11 23:37

developer   bugnote:0007441

Ёще одна поправка для автоскролла.
'Лишний' код оказался нужным.
Спасибо Dzirt2005 за диагностику.
Проявлялось, если вывод батника перенаправить в просматриваемый файл.

vskirdin

2011-08-12 09:33

administrator   bugnote:0007443

build 2143

DrKnS

2011-08-26 09:29

administrator   bugnote:0007539

А давайте во вьювер режим дампа добавим?
Т.е. без обработки переносов строк и табуляций.

2useven10

2011-08-26 11:18

developer   bugnote:0007542

а подробнее...
0) зачем?
1) что делать с длинными строками?
2) управление (вкл-выкл) ?

max rusov

2011-08-26 11:31

reporter   bugnote:0007543

Мне тоже часто хочется такое. Типа HEX'а, но без HEX'а. Просто чтобы на экран влезал кусок дампа побольше.

DrKnS

2011-08-26 11:34

administrator   bugnote:0007544

0) иногда надо смотреть/искать строковые данные в бинарном файле, внезапные переносы при этом бессмысленны, а 16-символьная колонка в hex - сильно узко.
1) как сейчас
2) F4, циклично: text - hex - dump

2useven10

2011-08-26 11:37

developer   bugnote:0007545

<CR>, <LF> - обычные (видимые) символы, или переход на новую строку?

DrKnS

2011-08-26 11:39

administrator   bugnote:0007546

>> 1) что делать с длинными строками?
> 1) как сейчас

хотя, наверное, в этом режиме лучше просто всегда сворачивать по размеру окна.


> <CR>, <LF> - обычные (видимые) символы, или переход на новую строку?

видимые, всё как в текстовой колонке hex-режима.

2useven10

2011-08-26 11:44

developer   bugnote:0007547

можно сделать, несложно.
imho лучше конфигурить доступность этого режима.
но я смогу этим заняться только недели через 2, сейчас совсем нет времени.

2useven10

2011-08-26 23:26

developer  

AutoscrollOptimize.diff (2,262 bytes)
AutoscrollOptimize.diff (2,262 bytes)

2useven10

2011-08-26 23:29

developer   bugnote:0007553

Last edited: 2011-08-27 08:46

View 2 revisions

Оптимизация автоскролла для Win7.
Не сбрасываем кеш, если файл просто растёт.
На XP эффект почти нулевой.

vskirdin

2011-08-28 15:27

administrator   bugnote:0007559

build 2178

samlyukov

2011-09-02 17:24

reporter   bugnote:0007604

Last edited: 2011-09-02 17:25

View 2 revisions

стал замечать, что вьювер последних версий стал некорректно отображать первые строки при включенной опции [x] Save view and edit history.
замечаю на файле changelog, т.е. смотрю его для текущей ревизии, через несколько дней делаю "svn up", открываем на просмотр файл changelog - первые строки на экране непонятно как плавают. делаем Home и переоткрытие - становится потребно.

2useven10

2011-09-02 23:03

developer  

AdjustFilePos.diff (301 bytes)
Index: viewer.cpp
===================================================================
--- viewer.cpp	(revision 6675)
+++ viewer.cpp	(working copy)
@@ -330,6 +330,8 @@
 			CachedCodePage = 0;
 		LastSelectPos=FilePos=NewFilePos;
 		LeftPos=NewLeftPos;
+
+		AdjustFilePos();
 	}
 	else
 	{
AdjustFilePos.diff (301 bytes)

2useven10

2011-09-02 23:04

developer   bugnote:0007606

AdjustFilePos.diff

samlyukov

2011-09-10 10:54

reporter   bugnote:0007632

гораздо лучше.

vskirdin

2011-09-12 09:49

administrator   bugnote:0007653

build 2195

2useven10

2011-09-26 23:33

developer  

AdjustFilePos2.diff (598 bytes)
Index: viewer.cpp
===================================================================
--- viewer.cpp	(revision 6734)
+++ viewer.cpp	(working copy)
@@ -330,8 +330,6 @@
 			CachedCodePage = 0;
 		LastSelectPos=FilePos=NewFilePos;
 		LeftPos=NewLeftPos;
-
-		AdjustFilePos();
 	}
 	else
 	{
@@ -362,6 +360,7 @@
 			if (Detect)
 			{
 				VM.CodePage=CodePage;
+				//??? CodePageChangedByUser=TRUE;
 			}
 
 			if (CachedCodePage)
@@ -384,6 +383,8 @@
 
 	if (FilePos > FileSize)
 		FilePos=0;
+	if ( FilePos )
+		AdjustFilePos();
 
 	ChangeViewKeyBar();
 	AdjustWidth();
AdjustFilePos2.diff (598 bytes)

2useven10

2011-09-26 23:37

developer   bugnote:0007749

Last edited: 2011-09-26 23:44

View 2 revisions

AdjustFilePos2 - поправка к предыдущему фиксу.
Позицию надо корректировать после установки кодовой страницы.
Иначе при просмотре юникода у вьювера может поехать крыша :)
10x Maximus: http://forum.farmanager.com/viewtopic.php?f=9&t=667&start=15#p85644

vskirdin

2011-09-29 09:53

administrator   bugnote:0007755

build 2206

2useven10

2011-10-04 07:53

developer  

AdjustFilePos3.diff (1,005 bytes)
Index: viewer.cpp
===================================================================
--- viewer.cpp	(revision 6747)
+++ viewer.cpp	(working copy)
@@ -1432,6 +1432,7 @@
 		{
 			VM.CodePage = VM.CodePage==GetOEMCP() ? GetACP() : GetOEMCP();
 			lcache_ready = false;
+			AdjustFilePos();
 			ChangeViewKeyBar();
 			Show();
 			CodePageChangedByUser=TRUE;
@@ -1440,8 +1441,6 @@
 		case KEY_SHIFTF8:
 		{
 			UINT nCodePage = SelectCodePage(VM.CodePage, true, true, false, true);
-			lcache_ready = false;
-
 			if (nCodePage != static_cast<UINT>(-1))
 			{
 				if (nCodePage == (CP_AUTODETECT & 0xffff))
@@ -1454,7 +1453,8 @@
 				}
 				CodePageChangedByUser=TRUE;
 				VM.CodePage=nCodePage;
-				SetFileSize();
+				lcache_ready = false;
+				AdjustFilePos();
 				ChangeViewKeyBar();
 				Show();
 			}
@@ -3382,6 +3382,7 @@
 void Viewer::SetFilePos(__int64 Pos)
 {
 	FilePos=Pos;
+	AdjustFilePos();
 };
 
 void Viewer::SetPluginData(const wchar_t *PluginData)
AdjustFilePos3.diff (1,005 bytes)

2useven10

2011-10-04 07:57

developer   bugnote:0007822

Ещё пара мест где надо корректировать позицию - при смене кодировки и при выставлении позиции через интерфейс.
Спасибо .1st за диагностику.

vskirdin

2011-10-04 10:11

administrator   bugnote:0007824

build 2210

2useven10

2011-10-05 20:38

developer   bugnote:0007830

версию с дамповым режимом просмотра можно попробовать:
http://sharapov-16.narod.ru/far/index.html

2useven10

2011-10-07 17:20

developer   bugnote:0007842

ну так кому-нибудь такой режим ещё нужен?
или в морг?

DrKnS

2011-10-07 17:27

administrator   bugnote:0007843

Нужен.

Denis

2011-10-07 17:35

reporter   bugnote:0007844

Last edited: 2011-10-07 17:35

View 2 revisions

Пригодится!

samlyukov

2011-10-08 12:21

reporter   bugnote:0007845

как по мне, так дополнительная опция и ненужна, сделать по-умолчанию: текст-хекс-дамп

2useven10

2011-10-08 14:19

developer   bugnote:0007846

Last edited: 2011-10-08 14:20

View 2 revisions

Нужны мнения...
В текущей версии вьювер при переключении в текстовый режим автоматически позиционируется на начало текущей строки. Некоторые считают это багом.
Для бинарных файлов для этого есть некоторые основания. В связи с этим хочу ввести небольшой интеллект: для бинарных файлов по F4 переключаем хекс-дамп, для текстовых текст-хекс. По Shift-F4 все режимы по очереди.

max rusov

2011-10-09 01:48

reporter   bugnote:0007850

Может, по Shift-F4 - менюшку, со списком режимов? Тогда можно будет намакросить любой вариант переключений...

2useven10

2011-10-11 01:21

developer  

WWrap.diff (1,811 bytes)
Index: viewer.cpp
===================================================================
--- viewer.cpp	(revision 6761)
+++ viewer.cpp	(working copy)
@@ -962,29 +962,40 @@
 		}
 
 		pString->lpData[OutPtr++] = ch ? ch : L' ';
-		if (!VM.Wrap)
+		if ( !VM.Wrap )
 			continue;
 
-		if (OutPtr >= Width)
+		if ( VM.WordWrap && OutPtr <= Width && wrapped_char(ch) >= 0 )
 		{
-			if (VM.WordWrap && wrap_out > 0)
-			{
-				OutPtr = wrap_out;
-				vseek(wrap_pos, SEEK_SET);
-				while (OutPtr > 0 && is_space_or_nul(pString->lpData[OutPtr-1]))
-					--OutPtr;
-				skip_space = true;
-			}
-			break;
+			wrap_out = OutPtr;
+			wrap_pos = fpos1;
 		}
 
-		if (!VM.WordWrap)
+		if ( OutPtr < Width )
 			continue;
+		if ( !VM.WordWrap )
+			break;
 
-		if (wrapped_char(ch) >= 0)
+		if ( OutPtr > Width )
 		{
-			wrap_out = OutPtr;
-			wrap_pos = vtell();
+			if ( wrap_out <= 0 || is_space_or_nul(ch) )
+			{
+				wrap_out = OutPtr - 1;
+				wrap_pos = fpos;
+			}
+
+			OutPtr = wrap_out;
+			vseek(wrap_pos, SEEK_SET);
+			while (OutPtr > 0 && is_space_or_nul(pString->lpData[OutPtr-1]))
+				--OutPtr;
+
+			if ( bSelEndFound && pString->nSelEnd > OutPtr )
+				pString->nSelEnd = OutPtr;
+			if ( bSelStartFound && pString->nSelStart >= OutPtr )
+				bSelStartFound = bSelEndFound = false;
+
+			skip_space = true;
+			break;
 		}
 	}
 
@@ -2248,9 +2259,9 @@
 
 struct MyDialogData
 {
-   Viewer      *viewer;
+	Viewer      *viewer;
 	bool edit_autofocus;
-   bool       hex_mode;
+	bool       hex_mode;
 	bool      recursive;
 };
 
@@ -2279,7 +2290,7 @@
 		}
 		case DM_SDREXVISIBILITY:
 		{
-		   int show = 1;
+			int show = 1;
 			if ( Param1 )
 			{
 				int tlen = (int)SendDlgMessage(hDlg, DM_GETTEXTPTR, SD_EDIT_TEXT, 0);
WWrap.diff (1,811 bytes)

2useven10

2011-10-11 01:24

developer   bugnote:0007860

WWrap.diff - убираем артефакты при попадании найденного текста в переносимую часть строки при WWrap. Более точно определяем границу переноса (раньше переносилось 'с запасом').

vskirdin

2011-10-11 13:57

administrator   bugnote:0007861

Last edited: 2011-10-11 14:00

View 2 revisions

2useven10: давай так поступим.
я переписываю этот Инц на тебя, а дальше сам :-)
ты уже можешь сюда не аттачить дифы.
в этом Инце ты ставишь "нужен отклик" и пишешь номер билда, где ЭТО исправлено.
тот, что проверяет (хмм.. в этом случае ты :-)) ставит статус "угу, исправлено"...

Я так думаю, что этот Инц имеет смысл закрыть, т.к. свою роль он уже сыграл, но начинает обрастать прочими хотелкобагофичами.
Те, кто/кому/etc. что-то надо от вьювера - пусть заводят новые Инцы.

2useven10

2011-10-11 14:17

developer   bugnote:0007862

build 2217

Issue History

Date Modified Username Field Change
2011-05-12 20:45 2useven10 New Issue
2011-05-12 22:58 2useven10 Note Added: 0006882
2011-05-12 22:59 2useven10 Note Edited: 0006882 View Revisions
2011-05-12 23:34 max rusov Note Added: 0006883
2011-05-13 00:18 2useven10 Note Added: 0006884
2011-05-13 01:29 max rusov Note Added: 0006886
2011-05-13 15:45 2useven10 Note Added: 0006887
2011-05-13 15:46 2useven10 Note Edited: 0006887 View Revisions
2011-05-18 10:53 2useven10 File Added: viewer-diff-8.7z
2011-05-18 10:55 2useven10 Note Added: 0006890
2011-05-18 17:51 vskirdin Note Added: 0006893
2011-05-18 19:07 vskirdin Note Added: 0006894
2011-05-18 19:22 2useven10 Note Added: 0006895
2011-05-18 19:30 2useven10 Note Edited: 0006895 View Revisions
2011-05-18 19:31 2useven10 Note Edited: 0006895 View Revisions
2011-05-18 23:52 vskirdin Note Added: 0006896
2011-05-19 00:27 2useven10 Note Added: 0006897
2011-05-20 22:11 2useven10 Note Edited: 0006897 View Revisions
2011-05-23 17:29 2useven10 Note Edited: 0006897 View Revisions
2011-05-25 15:24 vskirdin Note Added: 0007033
2011-05-25 16:43 2useven10 Note Added: 0007038
2011-05-25 16:58 2useven10 Note Edited: 0007038 View Revisions
2011-05-26 14:10 2useven10 File Added: NewViewer.diff
2011-05-26 14:10 2useven10 Note Added: 0007063
2011-05-26 14:59 vskirdin Note Added: 0007065
2011-05-26 14:59 vskirdin Assigned To => vskirdin
2011-05-26 14:59 vskirdin Status new => assigned
2011-05-26 17:04 2useven10 File Added: NewViewer2.diff
2011-05-26 17:05 2useven10 Note Added: 0007067
2011-05-26 17:13 2useven10 File Added: NewViewer3.diff
2011-05-26 17:13 2useven10 Note Edited: 0007067 View Revisions
2011-05-26 17:18 vskirdin Note Added: 0007069
2011-05-26 17:21 vskirdin Note Added: 0007070
2011-05-26 17:24 vskirdin Note Added: 0007072
2011-05-26 17:43 2useven10 Note Added: 0007074
2011-05-26 18:11 vskirdin Note Added: 0007075
2011-05-26 18:29 2useven10 Note Added: 0007076
2011-05-26 18:50 vskirdin Note Added: 0007077
2011-05-26 18:50 vskirdin Status assigned => feedback
2011-05-27 09:46 DrKnS Note Added: 0007083
2011-05-27 10:36 2useven10 Note Added: 0007086
2011-05-27 10:36 2useven10 Status feedback => assigned
2011-06-01 14:25 2useven10 File Added: ViewerLongLineFix.diff
2011-06-01 14:27 2useven10 Note Added: 0007116
2011-06-03 09:16 vskirdin Note Added: 0007121
2011-06-03 09:16 vskirdin Status assigned => feedback
2011-06-28 17:47 2useven10 File Added: NewViewer-fix2.diff
2011-06-28 17:50 2useven10 Note Added: 0007219
2011-06-28 17:50 2useven10 Status feedback => assigned
2011-06-28 23:11 DrKnS Note Added: 0007220
2011-06-28 23:11 DrKnS Status assigned => feedback
2011-08-11 23:34 2useven10 File Added: ViewerAutoscrollAgain.diff
2011-08-11 23:37 2useven10 Note Added: 0007441
2011-08-11 23:37 2useven10 Status feedback => assigned
2011-08-12 09:33 vskirdin Note Added: 0007443
2011-08-12 09:33 vskirdin Status assigned => feedback
2011-08-26 09:29 DrKnS Note Added: 0007539
2011-08-26 11:18 2useven10 Note Added: 0007542
2011-08-26 11:18 2useven10 Status feedback => assigned
2011-08-26 11:31 max rusov Note Added: 0007543
2011-08-26 11:34 DrKnS Note Added: 0007544
2011-08-26 11:37 2useven10 Note Added: 0007545
2011-08-26 11:39 DrKnS Note Added: 0007546
2011-08-26 11:44 2useven10 Note Added: 0007547
2011-08-26 23:26 2useven10 File Added: AutoscrollOptimize.diff
2011-08-26 23:29 2useven10 Note Added: 0007553
2011-08-27 08:46 2useven10 Note Edited: 0007553 View Revisions
2011-08-28 15:27 vskirdin Note Added: 0007559
2011-08-28 15:27 vskirdin Status assigned => feedback
2011-09-02 17:24 samlyukov Note Added: 0007604
2011-09-02 17:25 samlyukov Note Edited: 0007604 View Revisions
2011-09-02 23:03 2useven10 File Added: AdjustFilePos.diff
2011-09-02 23:04 2useven10 Note Added: 0007606
2011-09-02 23:04 2useven10 Status feedback => assigned
2011-09-10 10:54 samlyukov Note Added: 0007632
2011-09-12 09:49 vskirdin Note Added: 0007653
2011-09-12 09:49 vskirdin Status assigned => feedback
2011-09-26 23:33 2useven10 File Added: AdjustFilePos2.diff
2011-09-26 23:37 2useven10 Note Added: 0007749
2011-09-26 23:37 2useven10 Status feedback => assigned
2011-09-26 23:44 2useven10 Note Edited: 0007749 View Revisions
2011-09-29 09:53 vskirdin Note Added: 0007755
2011-09-29 09:53 vskirdin Status assigned => feedback
2011-10-04 07:53 2useven10 File Added: AdjustFilePos3.diff
2011-10-04 07:57 2useven10 Note Added: 0007822
2011-10-04 07:57 2useven10 Status feedback => assigned
2011-10-04 10:11 vskirdin Note Added: 0007824
2011-10-04 10:11 vskirdin Status assigned => feedback
2011-10-05 20:38 2useven10 Note Added: 0007830
2011-10-05 20:38 2useven10 Status feedback => assigned
2011-10-07 17:20 2useven10 Note Added: 0007842
2011-10-07 17:27 DrKnS Note Added: 0007843
2011-10-07 17:35 Denis Note Added: 0007844
2011-10-07 17:35 Denis Note Edited: 0007844 View Revisions
2011-10-08 12:21 samlyukov Note Added: 0007845
2011-10-08 14:19 2useven10 Note Added: 0007846
2011-10-08 14:20 2useven10 Note Edited: 0007846 View Revisions
2011-10-09 01:48 max rusov Note Added: 0007850
2011-10-11 01:21 2useven10 File Added: WWrap.diff
2011-10-11 01:24 2useven10 Note Added: 0007860
2011-10-11 13:57 vskirdin Note Added: 0007861
2011-10-11 13:57 vskirdin Assigned To vskirdin => 2useven10
2011-10-11 14:00 vskirdin Note Edited: 0007861 View Revisions
2011-10-11 14:17 2useven10 Note Added: 0007862
2011-10-11 14:18 2useven10 Status assigned => feedback
2011-10-11 14:18 2useven10 Status feedback => resolved
2011-10-11 14:20 2useven10 Build => 2217
2011-10-11 14:20 2useven10 Status resolved => closed
2011-10-11 14:20 2useven10 Resolution open => fixed
2011-10-11 14:20 2useven10 Fixed in Version => 3.0